package rd.dao.mapper.course;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import rd.data.db.table.Course;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CourseMapper extends BaseMapper<Course> {
    /**
     * 获取某专业某一年级在对应活动中的可选课程
     *
     * @param grade    年级
     * @param major    专业id
     * @param activity 活动id
     * @return
     */
    List<Course> getGradeMajorActivityCandidateCourse(@Param("grade") Integer grade,
                                                      @Param("major") Long major,
                                                      @Param("activity") Long activity
    );

    /**
     * 获取学生在对应活动中的可选课程
     *
     * @param studentId 学生id
     * @param activity  活动id
     * @return
     */
    List<Course> getStudentActivityCandidateCourse(@Param("studentId") Long studentId,
                                                   @Param("activity") Long activity
    );

}
