package rd.data.db;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class CourseScheduleWithCourseIdName implements Serializable {
    /**
     * 课程id
     */
    private Long courseId;

    /**
     * 课程安排id
     */
    private Long scheduleId;

    /**
     * 课程名
     */
    private String courseName;

    /**
     * 课时
     */
    private Integer courseHours;

    /**
     * 开始周
     */
    private Integer startWeek;

    /**
     * 结束周
     */
    private Integer endWeek;

    /**
     * 节次时间,即第几节课
     */
    private Integer time;

    /**
     * 节次时间,即第几节课
     */
    private Integer weekday;

    /**
     * 学年学期,格式如2023-2024
     */
    private String academicTerm;

    /**
     * 是否春季期课程
     */
    private Boolean springTerm;

    /**
     * 上课地点
     */
    private String place;

    /**
     * 考试成绩占比
     */
    private Float examRatio;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * edit_time
     */
    private LocalDateTime editTime;

    /**
     * delete
     */
    private Boolean deleted;
}
