package rd.data.db.table;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class StudentInfo implements Serializable {
    /**
     * 学生id
     */
    private Long id;

    /**
     * 学号
     */
    private String studentNumber;

    /**
     * 学生姓名
     */
    private String name;

    /**
     * 专业id
     */
    private Long major;

    /**
     * 年级,使用大x表示,如大二：2
     */
    private Integer grade;

    /**
     * 班级
     */
    @TableField("class")
    private String clazz;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * edit_time
     */
    private LocalDateTime editTime;

    /**
     * delete
     */
    private Boolean deleted;
}
