package rd.data.dto.schedule;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import rd.data.db.table.TeacherInfo;

import java.util.List;
import java.util.Map;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class CourseScheduleWithCourseNameDTO {
    private Long id;

    private String name;

    /**
     * 课程id
     */
    private String course;

    /**
     * 开始周
     */
    private int startWeek;

    /**
     * 结束周
     */
    private int endWeek;

    /**
     * 节次时间,即第几节课
     */
    private int time;

    /**
     * 节次时间,即第几节课
     */
    private int weekday;

    /**
     * 学年学期,格式如2023-2024
     */
    private String academicTerm;

    /**
     * 上课地点
     */
    private String place;

    /**
     * 考试成绩占比
     */
    private float ratio;

    /**
     * 平时分组成描述
     */
    private Map<String, Float> distribution;

    private List<TeacherInfo> teachers;

    @JsonIgnore
    private List<Long> teacherIds;
}
